org.apache.sling.hapi

## Interface HApiType

All Known Implementing Classes:
  AbstractHapiTypeImpl, HApiTypeImpl, HApiTypeLazyWrapper

    @ProviderType
    public interface HApiType

A Hypermedia API type.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,HApiProperty>` `getAllProperties()` A map with the names of the properties as keys and the HApiProperty object as values defined for this type, including the properties inherited from the parent type
`String` `getDescription()` The description of this type
`String` `getFqdn()` The fully qualified domain name of this type
`String` `getName()` The name of this type
`List<String>` `getParameters()` A list of `String` representing java-like generic types that can be used as types for the properties belonging to this type
`HApiType` `getParent()` Returns the parent type object
`String` `getPath()` The path of the Resource representing this type
`Map<String,HApiProperty>` `getProperties()` A map with the names of the properties as keys and the HApiProperty object as values defined for this type
`String` `getUrl()` The external URL of the node representing this type
`boolean` `isAbstract()` Whether this type is abstract or not.

### Method Detail

#### getName

    String getName()

The name of this type

Returns:

#### getDescription

    String getDescription()

The description of this type

Returns:

#### getPath

    String getPath()

The path of the Resource representing this type

Returns:

#### getUrl

    String getUrl()

The external URL of the node representing this type

Returns:

#### getFqdn

    String getFqdn()

The fully qualified domain name of this type

Returns:

#### getParameters

    List<String> getParameters()

A list of `String` representing java-like generic types that can be used as types for the properties belonging to this type

Returns:

#### getProperties

    Map<String,HApiProperty> getProperties()

A map with the names of the properties as keys and the HApiProperty object as values defined for this type

This list does not include properties inherited from the parent type

Returns:

#### getAllProperties

    Map<String,HApiProperty> getAllProperties()

A map with the names of the properties as keys and the HApiProperty object as values defined for this type, including the properties inherited from the parent type

Returns:

#### getParent

    HApiType getParent()

Returns the parent type object

Returns:

#### isAbstract

    boolean isAbstract()

Whether this type is abstract or not. An abstract type is an identifier that does not map to a jcr node as a path or as a FQDN

Returns: